cl.cromer.estructuras

## Class HashItem

- java.lang.Object
- - cl.cromer.estructuras.HashItem

    public class HashItem
    extends java.lang.Object

La estructura de un elemento de una Tabla Hash.

### Field Summary

Fields
`private int` `indice` Donde el elemento está en el array.
`private java.lang.String` `llave` La llave.
`private int` `valor` El valor.

### Constructor Summary

Constructors
Constructor and Description
`HashItem(java.lang.String llave, int valor)` Inicilizar.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getIndice()` Devolver el indice del elemento.
`java.lang.String` `getLlave()` Devolver la llave del elemento.
`int` `getValor()` Devolver el valor del elemento.
`void` `setIndice(int indice)` Cambiar el indice.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### llave

    private final java.lang.String llave

La llave.

#### valor

    private final int valor

El valor.

#### indice

    private int indice

Donde el elemento está en el array.

### Constructor Detail

#### HashItem

    public HashItem(java.lang.String llave,
                    int valor)

Inicilizar.

Parameters:
  `llave` - String: La llave del elemento.
  `valor` - int: El valor del elemento.

### Method Detail

#### getLlave

    public java.lang.String getLlave()

Devolver la llave del elemento.

Returns:
  String: La llave.

#### getValor

    public int getValor()

Devolver el valor del elemento.

Returns:
  int: El valor.

#### getIndice

    public int getIndice()

Devolver el indice del elemento.

Returns:
  int: El indice.

#### setIndice

    public void setIndice(int indice)

Cambiar el indice.

Parameters:
  `indice` - int: El indice.